Issue 119549 - [From Symphony]Position of drawing obj incorrect when opening .doc in aoo 3.4 if the text direction of the whole document is vertical
[From Symphony]Position of drawing obj incorrect when opening .doc in aoo 3.4...
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: open-import
3.4.0
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 05:14 UTC by louqle
Modified: 2012-10-18 06:20 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
autoshape (56.50 KB, application/msword)
2012-05-30 05:14 UTC, louqle
no flags Details
snapshot (57.18 KB, image/png)
2012-05-30 05:17 UTC, louqle
no flags Details
proposed patch for Bug 119549 (2.79 KB, patch)
2012-08-29 01:16 UTC, zjchen
zjchencdl: review?
Details | Diff
test case for i119549 (27.50 KB, application/msword)
2012-08-29 01:19 UTC, zjchen
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description louqle 2012-05-30 05:14:38 UTC
Created attachment 77757 [details]
autoshape

open the TextDirction_Autoshape0010.doc in aoo 3.4, the position of the drawing obj is different from that in MS word.
Comment 1 louqle 2012-05-30 05:17:47 UTC
Created attachment 77758 [details]
snapshot
Comment 2 zjchen 2012-08-29 01:15:36 UTC
The problem is that shape position is not calculated correctly if document body direction is vertical.

The shape horiziontal and vertical value could be replace by another in this situation. 

Noticed that the whole page layout is still different from MS WORD after modify the shape position.  It is mainly cause by the "Optimal" table wrapping , in MS Word, we can see the table wrapping is around, when loading in AOO , it converts to Optimal, but the "Parallel" should be the correct wrapping format. I propose to fixed table wrapping problem in other issue. maybe bug 119466.
Comment 3 zjchen 2012-08-29 01:16:23 UTC
Created attachment 79204 [details]
proposed patch for Bug 119549
Comment 4 zjchen 2012-08-29 01:19:05 UTC
Created attachment 79205 [details]
test case for i119549

post my test case for shape position in vertical page layout
Comment 5 Oliver-Rainer Wittmann 2012-08-29 06:47:20 UTC
Comment on attachment 79205 [details]
test case for i119549

removing review request for attached sample document
Comment 6 Lei Debin 2012-09-10 03:08:16 UTC
I have reviewed the fix. It is reasonable.
Zuo Jun, thx for your contribution.
Comment 7 SVN Robot 2012-09-10 05:46:07 UTC
"leidb" committed SVN revision 1382645 into trunk:
#119549# fix Position of drawing obj incorrect  * when opening .doc in AOO, i...
Comment 8 Lei Debin 2012-09-10 05:47:56 UTC
the fix had been patched.
Comment 9 Du Jing 2012-10-08 06:04:51 UTC
verified on the build AOO3.5_r1387482
Comment 10 Shenfeng Liu 2012-10-18 06:20:41 UTC
Update Target Milestone to AOO 3.5.0.